"""
unit tests for module modutils
squeleton generated by py2tests on May 23 at 10:05:11

 Copyright (c) 2002-2003 LOGILAB S.A. (Paris, FRANCE).
 http://www.logilab.fr/ -- mailto:contact@logilab.fr

module manipulation utilities

"""
__revision__ = "$Id: unittest_modutils.py,v 1.9 2004/01/22 10:48:51 syt Exp $"

import unittest
import sys

from logilab.common import modutils

from os import path
from logilab import common
from logilab.common import tree
    
class load_module_from_name_function_test(unittest.TestCase):
    
    def test_knownValues_load_module_from_name_1(self):
        """ load a python module from it's name """
        self.assertEqual(modutils.load_module_from_name('sys'), sys)

    def test_knownValues_load_module_from_name_2(self):
        """ load a python module from it's name """
        self.assertEqual(modutils.load_module_from_name('os.path'), path)
    
    def test_raise_load_module_from_name_1(self):
        self.assertRaises(ImportError, 
                          modutils.load_module_from_name, 'os.path', use_sys=0)    

class get_module_part_function_test(unittest.TestCase):
    
    def test_knownValues_get_module_part_1(self):
        """ load a python module from it's name """
        self.assertEqual(modutils.get_module_part('logilab.common.modutils'),
                         'logilab.common.modutils')

    def test_knownValues_get_module_part_2(self):
        """ load a python module from it's name """
        self.assertEqual(modutils.get_module_part('logilab.common.modutils.get_module_part'),
                         'logilab.common.modutils')
        
    def test_knownValues_get_module_part_3(self):
        """ load a python module from it's name """
        self.assertEqual(modutils.get_module_part('db.get_connexion', modutils.__file__),
                         'db')

    
class modpath_from_file_function_test(unittest.TestCase):
    
    def test_knownValues_modpath_from_file_1(self):
        """ given an absolute file path return the python module's path as a list """
        self.assertEqual(modutils.modpath_from_file(modutils.__file__),
                         ['logilab', 'common', 'modutils'])
    
    def test_raise_modpath_from_file_Exception(self):
        self.assertRaises(Exception, modutils.modpath_from_file, '/turlututu')

    
class is_standard_module_function_test(unittest.TestCase):
    
    def test_knownValues_is_standard_module_1(self):
        """
        return true if the module may be considered as a module from the standard
        library
        """
        self.assertEqual(modutils.is_standard_module('sys'), 1)
        
    def test_knownValues_is_standard_module_2(self):
        """
        return true if the module may be considered as a module from the standard
        library
        """
        self.assertEqual(modutils.is_standard_module('logilab'), 0)

    
class is_relative_function_test(unittest.TestCase):
    
    def test_knownValues_is_relative_1(self):
        """
        return true if the module may be considered as a module from the standard
        library
        """
        self.assertEqual(modutils.is_relative('modutils', common.__path__[0]), 1)

    def test_knownValues_is_relative_2(self):
        """
        return true if the module may be considered as a module from the standard
        library
        """
        self.assertEqual(modutils.is_relative('modutils', tree.__file__), 1)
        
    def test_knownValues_is_relative_3(self):
        """
        return true if the module may be considered as a module from the standard
        library
        """
        self.assertEqual(modutils.is_relative('logilab.common.modutils',
                                              common.__path__[0]), 0)
    
class get_modules_function_test(unittest.TestCase):
    
    def test_knownValues_get_modules_1(self): #  XXXFIXME: TOWRITE
        """given a directory return a list of all available python modules, even
        in subdirectories

        """
        import data
        modules = modutils.get_modules('data', data.__path__[0])
        modules.sort()
        self.assertEqual(modules,
                         ['data.module', 'data.module2'])

def suite():
    """return the unitest suite"""
    loader = unittest.TestLoader()
    module = sys.modules[__name__]
    if __name__ == '__main__' and len(sys.argv) > 1:
        return loader.loadTestsFromNames(sys.argv[1:], module)
    return loader.loadTestsFromModule(module)
    
def Run():
    testsuite = suite()
    runner = unittest.TextTestRunner()
    return runner.run(testsuite)
    
if __name__ == '__main__':
    Run()
