"""
unit tests for module fileutils
squeleton generated by /home/syt/cvs_work/logilab/pyreverse/py2tests.py on Sep 08 at 09:1:31


Some file / file path manipulation utilities

"""
__revision__ = "$Id: unittest_textutils.py,v 1.1 2003/11/21 17:05:56 syt Exp $"

import unittest
import sys
from os.path import join
from os import getcwd, linesep
from logilab.common.textutils import *

class NormalizeTextFunctionTest(unittest.TestCase):

    def test_known_values(self):
        self.assertEqual(normalize_text('''some really malformated
        text.
With some times some veeeeeeeeeeeeeeerrrrryyyyyyyyyyyyyyyyyyy loooooooooooooooooooooong linnnnnnnnnnnes

and empty lines!
        '''), '''some really malformated text. With some times some
veeeeeeeeeeeeeeerrrrryyyyyyyyyyyyyyyyyyy loooooooooooooooooooooong
linnnnnnnnnnnes and empty lines''')

        
class GetCsvFunctionTest(unittest.TestCase):

    def test_known(self):
        self.assertEqual(get_csv('a, b,c '), ['a', 'b', 'c'])


import re
RGX = re.compile('abcd')

class PrettyMatchFunctionTest(unittest.TestCase):

    def test_known(self):
        string = 'hiuherabcdef'
        self.assertEqual(pretty_match(RGX.search(string), string),
                         'hiuherabcdef\n      ^^^^')

class SearchAllFunctionTest(unittest.TestCase):

    def test_known(self):
        string = 'hiuherabcdefabcd'
        self.assertEqual(len(searchall(RGX, string)), 2)

def suite():
    """return the unitest suite"""
    loader = unittest.TestLoader()
    testsuite = loader.loadTestsFromModule(sys.modules[__name__])
    return testsuite

def Run(runner=None):
    """run tests"""
    testsuite = suite()
    if runner is None:
        runner = unittest.TextTestRunner()
        # uncomment next line to write tests results in a file
        #runner.__init__(open('tests.log','w+'))    
    return runner.run(testsuite)
        
if __name__ == '__main__':
    Run()
